Last Comment Bug 328391 - .mar generation should package universal build when the build is universal
: .mar generation should package universal build when the build is universal
Status: RESOLVED FIXED
[nvn-dl]
: fixed1.8.0.2, fixed1.8.1
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: ---
Assigned To: Mark Mentovai
:
Mentors:
Depends on:
Blocks: 410627
  Show dependency treegraph
 
Reported: 2006-02-23 17:51 PST by Mark Mentovai
Modified: 2008-01-03 04:57 PST (History)
6 users (show)
dveditz: blocking1.8.0.2+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Build universal .mar (1013 bytes, patch)
2006-02-23 20:09 PST, Mark Mentovai
darin.moz: review+
Details | Diff | Review
Branch version (1.06 KB, patch)
2006-02-24 12:24 PST, Mark Mentovai
mark: approval‑branch‑1.8.1+
dveditz: approval1.8.0.2+
Details | Diff | Review

Description Mark Mentovai 2006-02-23 17:51:39 PST
I erroneously assumed that .mar generation was entirely out-of-process and relied on unpackaging.  I now see that's not the case.

When generating the complete .mar for a build that was universal, the universal build should be packaged into the .mar.  This is probably as simple as adding a check here:

http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/tools/update-packaging/Makefile.in&rev=1.7&mark=53#52

ifdef UNIVERSAL_BINARY
PACKAGE_DIR	= $(DIST)/universal/$(MOZ_PKG_APPNAME)/$(MOZ_APP_DISPLAYNAME).app
else
PACKAGE_DIR	= $(DIST)/$(MOZ_PKG_APPNAME)/$(MOZ_APP_DISPLAYNAME).app
endif

Are any other in-tree changes needed to support AUS?
Comment 1 Mark Mentovai 2006-02-23 20:09:05 PST
Created attachment 212993 [details] [diff] [review]
Build universal .mar

This implements my proposed change, which works.
Comment 2 Mark Mentovai 2006-02-24 10:18:12 PST
Fixed on trunk.
Comment 3 Mark Mentovai 2006-02-24 10:19:57 PST
This must be taken on the branch to produce .mar files for AUS in the universal universe.
Comment 4 Mark Mentovai 2006-02-24 12:24:54 PST
Created attachment 213075 [details] [diff] [review]
Branch version

Checked in on MOZILLA_1_8_BRANCH.
Comment 5 Daniel Veditz [:dveditz] 2006-02-24 12:26:21 PST
Comment on attachment 213075 [details] [diff] [review]
Branch version

approved for 1.8.9 branch, a=dveditz for drivers
Comment 6 Mark Mentovai 2006-02-24 12:42:10 PST
I hope you don't mind that I checked it in on the 1.8.0 branch instead.

Note You need to log in before you can comment on or make changes to this bug.